New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Document breaking change for GIN #9311

Closed
tbroyer opened this Issue Apr 2, 2016 · 4 comments

Comments

Projects
None yet
5 participants
@tbroyer
Member

tbroyer commented Apr 2, 2016

1d660d2 breaks GIN 2.1.2, and suggests a workaround. This should be included in the release notes.

@tbroyer tbroyer added this to the 2.8 milestone Apr 2, 2016

@dankurka

This comment has been minimized.

Member

dankurka commented Jun 13, 2016

Assigning to Julien since he has been taken care of the release docs for 2.8.0-beta1 and he already has the release notes assigned for rc1

@jnehlmeier

This comment has been minimized.

Member

jnehlmeier commented Aug 12, 2016

Has been documented as part of the RC1 release notes

@jnehlmeier jnehlmeier closed this Aug 12, 2016

@PaulMazzuca

This comment has been minimized.

PaulMazzuca commented Feb 15, 2017

Does this mean that Gin is no longer compatible in GWT 2.8.0, or is there a workaround?

@tbroyer

This comment has been minimized.

Member

tbroyer commented Feb 15, 2017

The commit message linked above says it all:

Use

-setProperty gin.classloading.exceptedPackages=com.google.gwt.core.client,com.google.gwt.core.client.impl

(or set that property in your gwt.xml with <set-configuration-property>)

You'll also have to use a JDK 8.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment